<?
/**
 * VoiceOne Webservices Declarations
 *   
 * @package voiceone_webservices
 * @subpackage Recording
 */
// ---- RecordedCall -----------------------------------------------------------------
$server->wsdl->addComplexType(
    'RecordedCall',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'call_date'  	=> array('name'=>'call_date', 'type'=>'xsd:string'),
        'caller'  	 	=> array('name'=>'caller', 	  'type'=>'xsd:string'),
        'callee' 			=> array('name'=>'callee', 		'type'=>'xsd:string'),
        'call_type'  	=> array('name'=>'call_type', 'type'=>'xsd:int'),
        'recorded_on_demand' => array('name'=>'recorded_on_demand', 		'type'=>'xsd:int'),
        'file_name'  	=> array('name'=>'file_name', 'type'=>'xsd:string')        
    )
);
// ---- RecordedCall[] ---------------------------------------------------------------
$server->wsdl->addComplexType(
    'RecordedCallArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:RecordedCall[]')
    ),
    'tns:RecordedCall'
);
?>